<!DOCTYPE html>
<html>
<head>
  <!-- @include inc/_meta-title.html -->
  <!-- @if ENV='dev' -->
  <!-- <link rel="stylesheet" href="lib/semantic/semantic.css"> -->
  <link rel="stylesheet" href="styles/main.css">
  <!-- @endif -->
  <!-- @include inc/_meta.html -->
  <!-- @include inc/_favicons.html -->
   <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/all.js" crossorigin="anonymous"></script>
</head>
<body>
  <div id="app" align="center">
    <!-- <a v-bind:href="link"> {{ sayHello() }}</a> -->
    <a v-bind:href="link">this link is direct to google using <i>v-bind</i> on <i>href element</i> </a>
    <hr>
    <p v-html="htmlCode"></p>
    <hr>
    <p>this button below is using <i>v-on</i></p>
    <button v-on:click="increase">try me!</button>
    <button v-on:click="counter--">try me!</button>
    <p>click counter = {{counter*2}} {{ counter * 2 > 10 ? 'lebih dari 10':'kurang dari 10' }}</p>
    <p v-on:mousemove="updateCoordinate">Coordinate = {{ x }}/{{ y }}
      - <span v-on:mousemove.stop="">seno setiaji</span>
    </p>
    <input type="text" v-on:keyup="alertMe">
  </div>
  <hr>
  <h1 align="center">Next lessons</h1>
  <div id="app2">
    <div style="display: flex; justify-content: center">
      <input type="text" v-model="name">
      <h4> = {{ name }}</h4>
    </div>
    <hr>
    <div class="row" align="center">
      <div class="col-sm">
        <p>This box below is using <i>click event</i></p>
        <div class="kotak" 
        @click="gantiWarna = !gantiWarna" 
        :class="kelas"></div>
      </div>
      <div class="col-sm">
        <p>This box below is using style to change width depend on text</p>
        <div class="kotak" :style="styleWidth"></div> <br>
        <input v-model="lebar" type="text" />
      </div>
    </div>
    <hr>
    <div class="row" align="center">
      <div class="col-sm">
        <p>This box's background is using class that made depend on text</p>
        <div class="kotak" :class="warna"></div> <br>
        <input v-model="warna" type="text" />
      </div>
      <div class="col-sm">
        <p>This box's background is using style property depend on text</p>
        <div class="kotak" :style="{ backgroundColor: warna2 }"></div> <br>
        <input v-model="warna2" type="text" />
      </div>  
    </div>
  </div>
  <hr>
  <div id="vue3">
      <p style="text-align:center">Text below can show/hide using btn</p>
    <div class="row">
      <div class="col-sm" align="center">
        <p v-show="ada" style="text-align:center"><span class="tabs"> This text </span> is using <i>v-show</i> so when you click the button, this text will disappear,
           but try to inspect. yap! <b>IT STILL THERE!</b> just hide by display none </p>
        <button class="btn btn-primary" @click="ada = !ada">try me</button>
      </div>
      <div class="col-sm" align="center">
          <p v-if="tampil" style="text-align:center"><span class="tabs">This</span> text is using <i>v-if</i></p>
          <p v-else style="text-align:center"><span class="tabs"><i>v-if</i> is disappear & this</span> text is using <i>v-else</i> </p>
          <button class="btn btn-primary" @click="tampil = !tampil">try me</button>
      </div>
    </div>
    <hr>
    <div class="row">
      <div class="col-sm">
        <p>this list below is using v-for</p>
        <ul class="list">
          <li><b>Isi dari tahu-isi :</b></li>
          <li v-for="isi in tahuIsi">{{ isi }}</li>
        </ul>
      </div>
      <div class="col-sm">
        <p>this list below is using v-for II</p>
        <ul class="">
          <!-- <li><b>OSIS :</b></li> -->
          <li v-for="anggota in osis">{{ anggota.umur }}</li>
          <li v-for="anggota in osis">
            <div v-for="(value, key) in anggota">{{key}} : {{value}}</div>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <!-- @include inc/_scripts.html -->
</html>